package ex1;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JScrollPane;
import javax.swing.filechooser.FileNameExtensionFilter;

import ex1.model.ExamTest;
import ex1.model.QuestionReader;
import ex1.view.ExamView;

public class Main {

	private static JMenuBar createMenuBar() {
		JMenuBar menubar = new JMenuBar();
		JMenu file = new JMenu("File");
		JMenuItem newexam = new JMenuItem("New exam");
		JMenuItem loadexam = new JMenuItem("Load exam");
		file.add(newexam);
		file.add(loadexam);
		menubar.add(file);
		JMenu exam = new JMenu("Exam");
		JMenuItem suggestion = new JMenuItem("Suggestion");
		JMenuItem check = new JMenuItem("Check answers");
		exam.add(suggestion);
		exam.add(check);
 		menubar.add(exam);		
		JMenu help = new JMenu("Help");
		JMenuItem about = new JMenuItem("About");
		help.add(about);
		menubar.add(help);
		return menubar;
	}

	public static void main(String[] args) {
		JFrame f = new JFrame("Exam test");
		FileNameExtensionFilter filter = new FileNameExtensionFilter("Text files", "txt");		
		JFileChooser chooser = new JFileChooser();
		chooser.setFileFilter(filter);
		chooser.showOpenDialog(f);		
		File file = chooser.getSelectedFile();		
		if (file != null) {
			try {
				QuestionReader q = new QuestionReader();
				ExamTest examTest = q.readExam(file);
				ExamView examView = new ExamView(examTest);
				JScrollPane scroll = new JScrollPane(examView);
				f.add(scroll);
			} catch (Exception e) {
				JOptionPane.showMessageDialog(f, "Error while processing the file", "Error", JOptionPane.ERROR_MESSAGE);
			}
		}
		f.setSize(800, 800);
		f.setJMenuBar(createMenuBar());
		f.setVisible(true);
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}
